[script]
n0=:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
n1=:::::               XcLusive Script                       :::::
n2=:::::               Setting ve Games Dialog               :::::
n3=:::::               Coded By HaLiL                        :::::
n4=:::::               HaLiL@AhKalbim.Net                    :::::
n5=:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
n6=alias st if (!$dialog(setting)) dialog -mr setting setting
n7=on 1:dialog:setting:*:*:{
n8=  if $devent == init {
n9=    idset 7
n10=    did -i $dname 1 1 bmpsize 32 32
n11=    dll $mdx SetControlMDX $dname 1 listview icon single noheader flatsb autoarrange > $views
n12=    var %cpanel.cnt 1
n13=    while (%cpanel.cnt <= $ini($shortfn($scriptdircpanel.ini),cpanel,0)) {
n14=      did -i $dname 1 1 seticon normal 0 $gettok($readini($shortfn($scriptdircpanel.ini),cpanel,%cpanel.cnt),1,222)
n15=      did -a $dname 1 0 + %cpanel.cnt 0 0 $gettok($readini($shortfn($scriptdircpanel.ini),cpanel,%cpanel.cnt),2,222)
n16=      inc %cpanel.cnt
n17=    }
n18=  }
n19=  if $devent == dclick {
n20=    if $did == 1 {
n21=      .timercpanel off
n22=      .timercpanel 1 1 .alias _temp_cpanel_alias
n23=      _temp_cpanel_alias
n24=    }
n25=  }
n26=  if $devent == sclick {
n27=    if $did == 1 {
n28=      did -ra $dname 4 $gettok($did(1).seltext,6-,32)
n29=      did -ra $dname 7 $gettok($readini($shortfn($scriptdircpanel.ini),cpanel,$calc($did(1).sel -1)),3,222)
n30=    }
n31=  }
n32=}
n33=alias _temp_cpanel_alias $gettok($readini($shortfn($scriptdircpanel.ini),cpanel,$calc($did(1).sel -1)),3,222)
n34=dialog Setting {
n35=  title "XcLusive Script Genel Menü"
n36=  size -1 -1 231 182
n37=  option dbu
n38=  icon $mircdirikon\ayarlar.ico, 0
n39=  list 1, 10 15 208 130, size
n40=  box "XcLusive Script Genel Menü", 2, 5 5 219 160
n41=  button "KAPAT", 3, 101 167 40 12, flat cancel
n42=  edit "", 4, 34 148 81 13, read
n43=  text "Menü:", 5, 11 150 22 8
n44=  text "Kullanımı:", 6, 120 150 30 8
n45=  edit "", 7, 152 148 66 13, read
n46=}
n47=on ^*:QUIT:{
n48=  if ($query($nick)) echo -t $nick $display(queryquit,$nick,$1-)  
n49=}
n50=dialog games {
n51=  title "XcLusive Script"
n52=  size -1 -1 151 156
n53=  option dbu
n54=  icon $mircdirikon\games.ico, 0
n55=  box "XcLusive Games", 1, 5 5 140 131
n56=  button "Abcd", 2, 9 15 61 13
n57=  button "A-Force", 3, 9 32 61 13
n58=  button "Block", 4, 9 49 61 13
n59=  button "Hang Man", 5, 9 66 61 13
n60=  button "JezzBall", 6, 9 83 61 13
n61=  button "Kayak", 7, 79 15 61 13
n62=  button "Mario", 8, 79 32 61 13
n63=  button "Satranc", 9, 79 49 61 13
n64=  button "Slam", 10, 79 66 61 13
n65=  button "Tavla", 11, 79 83 61 13
n66=  button "Kapat", 12, 5 140 140 12, cancel
n67=  button "Color Linez", 13, 9 100 61 13
n68=  button "Tetris", 14, 79 100 61 13
n69=  button "Dots", 15, 79 117 61 13
n70=  button "Bilardo", 16, 9 117 61 13
n71=}
n72=
n73=
n74=alias games {
n75=  if (!$dialog(games)) { dialog -m games games }
n76=  else { dialog -v games }
n77=}
n78=on 1:dialog:games:*:*:{
n79=  if $devent == init {
n80=    idset 16
n81=  }
n82=  if $devent == sclick {
n83=    if $did == 2 { run games\abcd.exe }
n84=    if $did == 3 { run games\aforce.exe }
n85=    if $did == 4 { run games\block.exe }
n86=    if $did == 5 { run games\hangman.exe }
n87=    if $did == 6 { run games\jezzball.exe }
n88=    if $did == 7 { run games\kayak.exe }
n89=    if $did == 8 { run games\mario.exe }
n90=    if $did == 9 { run games\satranc.exe }
n91=    if $did == 10 { run games\slam.exe }
n92=    if $did == 11 { run games\tavla.exe }
n93=    if $did == 13 { run games\linez\linez.exe }
n94=    if $did == 14 { run games\tetris\tetris.exe }
n95=    if $did == 16 { run games\bilardo.exe }
n96=    if $did == 15 { run games\dots.exe }
n97=  }
n98=}
